devguard
Trainings

Create a new training.

POST
/trainings/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/trainings/" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "source": "YOUTUBE",    "organizationId": "string"  }'
{  "id": "string",  "title": "string",  "slug": "string",  "description": "string",  "source": "YOUTUBE",  "sourceUrl": "string",  "durationMinutes": -9007199254740991,  "ownerId": "string",  "organizationId": "string",  "createdAt": "string",  "updatedAt": "string",  "archivedAt": "string"}

How is this guide?